org.mariadb.jdbc.internal.util.dao

## Class ReconnectDuringTransactionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.mariadb.jdbc.internal.util.dao.QueryException
      - - org.mariadb.jdbc.internal.util.dao.ReconnectDuringTransactionException

All Implemented Interfaces:
  Serializable

    public class ReconnectDuringTransactionException
    extends QueryException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReconnectDuringTransactionException(String message)`
`ReconnectDuringTransactionException(String message, int errorCode, String sqlState)`
`ReconnectDuringTransactionException(String message, int errorCode, String sqlState, Throwable cause)`

### Method Summary

### Methods inherited from class org.mariadb.jdbc.internal.util.dao.QueryException

`getErrorCode, getMessage, getSqlState, setMessage, setSqlState`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReconnectDuringTransactionException

    public ReconnectDuringTransactionException(String message)

#### ReconnectDuringTransactionException

    public ReconnectDuringTransactionException(String message,
                                               int errorCode,
                                               String sqlState)

#### ReconnectDuringTransactionException

    public ReconnectDuringTransactionException(String message,
                                               int errorCode,
                                               String sqlState,
                                               Throwable cause)